<include file="Public:head" />
<include file="Public:load" />
<div class="content" id="RightContent" style="display:none;">
    <style type="text/css">
    hr {
        border: none;
        border-bottom: 1px solid #FD8F18;
    }

    #active {
        width: 100%;
        min-height: 170px;
    }

    #activetb {
        padding: 5px;
        height: 26px
    }
    </style>
    <div class="cLineB">
        <h4>活动报名</h4>
    </div>
    <hr/>
    <div style="margin:20px 0;"></div>
    <table id="active" class="easyui-datagrid" data-options="pagination:true,singleSelect:false,method:'get',pageSize:15,toolbar:'#activetb'">
    </table>
    <div id="activetb" style="">
        <div style="margin-bottom:0px;">
            关键字:
            <input id="keyword" class="easyui-textbox" style="width:100px" prompt="关键字/标题">
            <a href="javascript:void(0)" onclick="query();" class="easyui-linkbutton keyupEnter" iconCls="icon-search">查询</a>
        </div>
    </div>
</div>
<div class="clr"></div>
</div>
</div>
</div>
<!--底部-->
</div>
<script type="text/javascript">
$(function() {
    setTimeout("closdeLoading(initPanelWidth);", 1000);
});
var isAdmin = "{pigcms:$IS_ADMIN}";
var is_open_domain = "{pigcms:$is_open_domain}";

function formatDate(val, row, index) {
    return new Date(val).toLocaleString().replace(/年|月/g, "-").replace(/日/g, " ").replace(/上午/g, " ").replace(/下午/g, " ");
}

function formatString(val, row, index) {
    var strvalue = new String(val);
    if (strvalue.length > 50) {
        return strvalue.substr(0, 50) + "....";
    } else {
        return val;
    }
}

function formatOper(val, row, index) {

    var type = row['domain_type'];
    var viewRight = "{pigcms:$rightlist['view']['isRight']}";
    var editRight = row['update'];
    var deleteRight = row['delete'];
    var addRight = row['insert'];

    var et = "";
    if (isAdmin || viewRight) {
        et += '<a style="margin-left:8px;" href="{pigcms::U("Active/view")}&id=' + row['id'] + '&dmType=' + type + '">查看结果</a>';
    } else {
        et += '<a style="color:gray;margin-left:8px;" href="javascript:void(0)">查看结果</a>';
    }

    if (editRight) {
        et += '<a style="margin-left:8px;" href="{pigcms::U("Active/edit")}&id=' + row['id'] + '">编辑</a>';
    } else {
        et += '<a style="color:gray;margin-left:8px;" href="javascript:void(0)">编辑</a>';
    }

    if (deleteRight) {
        et += '<a style="margin-left:8px;" href="javascript:void(0)" onclick="del(' + row['id'] + ')" title="删除">删除</a>';
    } else {
        et += '<a style="color:gray;margin-left:8px;" href="javascript:void(0);"  title="删除">删除</a>';
    }

    if (addRight) {
        et += '<a style="margin-left:8px;" href="javascript:void(0)" onclick="copy(' + row['id'] + ')" title="复制">复制</a>';
    } else {
        et += '<a style="color:gray;margin-left:8px;" href="javascript:void(0);" >复制</a>';
    }
    return et;
}

function query() {
    var url = "{pigcms::U('Test/query',array("
    token "=>$token))}";
    var keyword = $('#keyword').val();
    url = url + "&keyword=" + keyword;
    datagrid_init('active', url);
}

function setstatus(val, row, index) {
    if (row['status'] == "已开启") {
        status = "已开启";
        type = "0,"
    } else {
        status = "已关闭";
        type = "1,";
    }
    var editRight = row['update'];

    var et = "";
    if (editRight) {
        et = '<a style="margin-left:8px;" href="javascript:void(0)" onclick="batchsetstatus(' + type + '' + row['id'] + ')" title="">' + status + '</a>';
    } else {
        et = '<a style="color:gray;margin-left:8px;" href="javascript:void(0);" >' + status + '</a>';
    }
    return et;
}


function initPanelWidth() {
    $('#active').datagrid({
        columns: [
            [{
                    field: 'ck',
                    checkbox: true
                }, {
                    field: 'id',
                    width: 80,
                    hidden: true,
                    title: 'id'
                }, {
                    field: 'keyword',
                    width: 120,
                    title: '关键字'
                }, {
                    field: 'title',
                    width: 140,
                    title: '标题'
                }, {
                    field: 'active_time',
                    width: 254,
                    title: '活动时间'
                }, <
                if condition = "$is_open_domain" > {
                    field: 'domain_name',
                    width: 80,
                    title: '域来源'
                }, < /if> {
                    field: 'status',
                    width: 60,
                    align: 'center',
                    formatter: setstatus,
                    title: '状态'
                }, {
                    field: 'registerNumber',
                    width: 55,
                    title: '报名人数'
                }, {
                    field: 'passNumber',
                    width: 55,
                    title: '通过人数'
                }, <
                if condition = "$is_open_domain" > {
                    field: '_operate',
                    width: 200,
                    align: 'center',
                    formatter: formatOper,
                    title: '操作'
                }, <
                else /> {
                    field: '_operate',
                    width: 280,
                    align: 'center',
                    formatter: formatOper,
                    title: '操作'
                }, < /if>
            ]
        ]
    });
    query();
}
</script>
<include file="Public:footer" />
